---
myst:
  html_meta:
    keywords: LaTeX, composition, flottants, légendes, tableau, table, 
              mise en forme
---

# Comment nommer un tableau ?

La méthode est identique à celle présentée pour la question
"[](/3_composition/flottants/legendes/faire_reference_a_une_figure)" en
remplaçant l'environnment `figure` par `table`.

```
\documentclass{article}
  \usepackage[T1]{fontenc}    % Encodage T1 (adapté au français)
  \usepackage{lmodern}        % Caractères plus lisibles
  \usepackage{babel}          % Réglages linguistiques (avec french)  
  \pagestyle{empty}           % N'affiche pas de numéro de page

\begin{document}
Du texte... Du texte... Du texte... Du texte... Du texte... Du texte...
Du texte... Du texte... Du texte... Du texte... Du texte... Du texte...
Du texte... Du texte... Du texte... Du texte... Du texte... Du texte...
\begin{table}[ht]
  \centering
  \framebox{ICI, UNE TABLE}
  \caption{Ma légende}
  \label{fig+matable}
\end{table}
Du texte... Du texte... Du texte... Du texte... Du texte... Du texte...
Du texte... Du texte... Du texte... Du texte... Du texte... Du texte...
Et une référence à la table~\ref{fig+matable}.
\end{document}
```


:::{seealso}
Le mot "Table" placé devant le numéro de table peut être modifié. Sur ce
point, consultez la question
"[](/3_composition/flottants/legendes/modifier_l_apparence_des_legendes)".
:::