---
myst:
  html_meta:
    keywords: composition, documents, classes, titres, notes de bas de pages, tables, 
              figures, flottants, tables des matières, bibliographies, index, glossaires, 
              annexes, langues, symboles, illustrations, images, graphiques, animations
---

# <i class="fa-solid fa-pen-to-square"></i> Composition de documents

Ce thème regroupe toutes les questions traitant de la composition de
documents courants, pouvant inclure des tables, des figures ou des
annexes. Voici dans le détail les sujets qu'elle regroupe :

- les différents [documents](/3_composition/document/start) et classes
  associées ;
- la composition du [texte](/3_composition/texte/start), en allant des
  simples symboles à la composition de pages entières et en passant
  par des sujets commes les titres et les notes en bas de page ;
- la gestion des spécificités des différentes
  [langues](/3_composition/langues/start) ;
- les [annexes](/3_composition/annexes/start) que sont 
  les [tables des matières](/3_composition/annexes/tables/start), 
  les [bibliographies](/3_composition/annexes/bibliographie/start), 
  les [index](/3_composition/annexes/index/start) 
  ou les [glossaires](/3_composition/annexes/glossaire/start) ;
- les [flottants](/3_composition/flottants/start) ;
- les [tableaux](/3_composition/tableaux/start) ;
- les [illustrations](/3_composition/illustrations/start) que sont les
  [images](/3_composition/illustrations/inclure_une_image/start), les
  [visualisations de données](/3_composition/illustrations/graphiques/start) 
  ou les [animations](/3_composition/illustrations/animations/start).



```{toctree}
:glob: true
:maxdepth: 1
:hidden:

*/start
*
```