---
myst:
  html_meta:
    keywords: LaTeX, composition, tableaux, colonnes, séparateur de colonnes
---

# Comment définir un séparateur de colonne ?

Le séparateur `@` permet de remplacer la séparation `|` par ce qu'on veut,
comme dans l'exemple ci-dessous. Noter que l'espacement entre les colonnes 
est supprimé dans ce cas.

```
\documentclass[french]{article}
  \usepackage[T1]{fontenc}    % Encodage T1 (adapté au français)
  \usepackage{lmodern}        % Caractères plus lisibles
  \usepackage{babel}          % Réglages linguistiques (avec french)
  \pagestyle{empty}           % N'affiche pas de numéro de page

\begin{document}
\begin{center}
  \begin{tabular}{r@{ est un}l}
  La poire &{} fruit \\
  La carotte &{} légume \\
  La rose &e fleur \\
  \end{tabular}
\end{center}
\end{document}
```