---
myst:
  html_meta:
    keywords: LaTeX, composition, tableaux, colonnes, mathématiques
---

# Comment définir une colonne en mode mathématique dans un tableau ?

De la même façon qu'à la question
"[](/3_composition/tableaux/colonnes/changer_la_fonte_d_une_colonne)", vous pouvez
utiliser les "descripteurs" de colonnes `>` et `<` :

```
\documentclass[french]{article}
  \usepackage[T1]{fontenc}    % Encodage T1 (adapté au français)
  \usepackage{lmodern}        % Caractères plus lisibles
  \usepackage{babel}          % Réglages linguistiques (avec french)
  \pagestyle{empty}           % N'affiche pas de numéro de page
  \usepackage{array}

\begin{document}
\begin{tabular}{|>{$}c<{$}|l|}
  \hline
  u_0 & zéro \\
  u_1 & un   \\
  u_2 & deux \\
  \hline
\end{tabular}
\end{document}
```