---
myst:
  html_meta:
    keywords: LaTeX, composition, texte, pages, notes de bas de page, trait de séparation, 
              filet, ligne de séparation, footnote
---

# Comment supprimer le trait de séparation des notes de bas de page ?

L'extension <ctanpkg:footmisc>, avec l'option `norule`, se charge de supprimer 
ce trait de séparation (dénommé "filet de séparation"). En voici un exemple :

```
\documentclass[french]{article}
  \usepackage[T1]{fontenc}    % Encodage T1 (adapté au français)
  \usepackage{lmodern}        % Caractères plus lisibles
  \usepackage{babel}          % Réglages linguistiques (avec french)
  \pagestyle{empty}           % N'affiche pas de numéro de page
  \usepackage[norule]{footmisc}

\begin{document}
Donald Knuth a déclaré qu'il ne développe plus \TeX ; il ne traite désormais
plus que la correction des erreurs qui lui sont remontées\footnote{Et ces
bugs sont rares}.
\end{document}
```