---
myst:
  html_meta:
    keywords: LaTeX, composition, texte, pages, taille, dimension de la page
---

# Comment résoudre les problèmes de taille du papier ?

Le produit final d'une exécution de LaTeX est un document qui va être lu. 
Souvent, de nos jours, ce document sera lu "à l'écran", 
mais un document imprimé n'en reste pas moins une forme de restitution importante. 
Dans ce dernier cas, la bonne adaptation du document à la taille du papier est importante, 
si ce n'est cruciale dans le cas de l'édition d'un livre.

Malheureusement, il arrive que la sortie imprimée ne soit pas conforme aux attentes. 
Dans de tels cas, il faut vérifier les deux points suivants :

- si votre sortie est ouverte avec Adobe `Reader` (ou `Acrobat Reader`), 
  il se peut que `Reader` change volontairement la taille du document. 
  Consultez alors ici la question "[](/5_fichiers/formats/pdf/imprimer_a_la_bonne_taille_avec_adobe_reader)" ;
- un réglage de LaTeX produit une mauvaise taille (ou forme) de sortie. Ce sujet est étudié à la question 
  "[](configurer_la_taille_du_papier)".

Une autre approche consiste à utiliser la suite <ctanpkg:testflow>. 
Elle fournit un aperçu détaillé des problèmes potentiels avec un exemple de document et des exemples de sorties.

:::{sources}
[The size of printed output](faquk:FAQ-papersize)
:::