---
myst:
  html_meta:
    keywords: LaTeX, composition, texte, mise en page, composition de document
---

# Texte

Ce thème comporte beaucoup de questions et de réponses qu'il n'était pas 
simple de ranger et d'ordonner. Les catégories retenues se basent 
sur la taille des portions de texte concernées. Voici les différents 
catégories, par ordre *à peu près* croissant :

-   [symboles](/3_composition/texte/symboles/start), ce qui inclut les polices
    de caractères et logos ;
-   [mots et espaces](/3_composition/texte/mots/start), ce qui inclut des mots
    particuliers : des mots prédéfinis, des adresses mail ou des URL ;
-   [références croisées et hyperliens](/3_composition/texte/renvois/start) ;
-   [boîtes de texte](/3_composition/texte/boites/start) ;
-   [lignes](/3_composition/texte/lignes/start) ;
-   [titres](/3_composition/texte/titres/start) (ou "sectionnement" 
    du document) ;
-   [listes](/3_composition/texte/listes/start) ;
-   [paragraphes](/3_composition/texte/paragraphes/start) ;
-   [pages](/3_composition/texte/pages/start) (comprenant en particulier
    les sujets des [en-têtes et pieds de page](/3_composition/texte/pages/entetes/start) 
    et des [notes de bas de page](/3_composition/texte/pages/footnotes/start)) ;
-   [document](/3_composition/document/start).

Voici quelques exemples illustrant comment s'y retrouver :

-   "[](/3_composition/langues/cesure/empecher_des_coupures_de_mots)",
    concerne un ou des mots, donc la section 
    "[Mots et espaces](/3_composition/texte/mots/start)" ;
-   "[](/3_composition/texte/paragraphes/alignement/justifier_un_paragraphe_a_droite_ou_a_gauche)" 
    concerne tout un paragraphe, donc la section 
    "[Paragraphes](/3_composition/texte/paragraphes/start)" ;
-   "[](/3_composition/texte/pages/saut_de_page/forcer_ou_empecher_un_saut_de_page)"
    concerne toute la page, donc la section 
    "[Pages](/3_composition/texte/pages/start)" ; 
    (plus exactement sa sous-section 
    "[Sauts de page](/3_composition/texte/pages/saut_de_page/start)").


:::{seealso}
Deux autres sections, indirectement liées à ce thème, pourraient ici vous intéresser :
-   celle concernant [l'insertion de codes informatiques](/4_domaines_specialises/sciences/informatique/start) ;
-   celle concernant [l'insertion de mathématiques](/4_domaines_specialises/mathematiques/start).
:::

```{toctree}
:glob: true
:maxdepth: 1
:hidden:

*/start
*
```