---
myst:
  html_meta:
    keywords: LaTeX, composition, texte, symboles, caractère "fin de paragraphe", symbole de paragraphe, 
              symbole de saut de paragraphe, symbole de nouveau paragraphe
---

# Comment obtenir un symbole "fin de paragraphe" ?

Le [pied-de-mouche](wpfr:Pied-de-mouche), "¶", marque souvent une fin de paragraphe. 
Il s'obtient avec la commande `\P` ou la commande `\textparagraph`.

```
\documentclass[french]{article}
  \usepackage[T1]{fontenc}    % Encodage T1 (adapté au français)
  \usepackage{lmodern}        % Caractères plus lisibles
  \usepackage{babel}          % Réglages linguistiques (avec french)
  \pagestyle{empty}           % N'affiche pas de numéro de page

\begin{document}
\P{} Auparavant, le pied-de-mouche, \og{}\textparagraph{}\fg{}, 
marquait le début d'un paragraphe.
\end{document}
```
