---
myst:
  html_meta:
    keywords: LaTeX, composition, texte, symboles, radioactivité, symbole de radioactivité, 
              symboles de danger
---

# Comment obtenir le symbole "radioactivité" ?

## Avec l'extension <ctanpkg:marvosym>

L'extension <ctanpkg:marvosym> définit la commande `\Radioactivity` :

```
\documentclass[french]{article}
  \usepackage[T1]{fontenc}  % Encodage T1 (adapté au français)
  \usepackage{lmodern}      % Caractères plus lisibles
  \usepackage{babel}        % Réglages linguistiques (avec french)
  \pagestyle{empty}         % N'affiche pas de numéro de page
  \usepackage{marvosym}

\begin{document}
\LARGE\Radioactivity
\end{document}
```


## Avec l'extension <ctanpkg:ifsym>

L'extension <ctanpkg:ifsym>, chargé avec l'option `misc`, 
donne un symbole avec la commande `\Radiation` :

```
\documentclass[french]{article}
  \usepackage[T1]{fontenc}  % Encodage T1 (adapté au français)
  \usepackage{lmodern}      % Caractères plus lisibles
  \usepackage{babel}        % Réglages linguistiques (avec french)
  \pagestyle{empty}         % N'affiche pas de numéro de page
  \usepackage[misc]{ifsym}

\begin{document}
\LARGE\Radiation
\end{document}
```

La [documentation de ifsym](texdoc:ifsym) est malheureusement uniquement disponible en allemand.