---
myst:
  html_meta:
    keywords: LaTeX, domaines spécialisés, mathématiques, symboles,  
              notation, intérieur, topologie
---

# Comment obtenir la notation d'intérieur ?

## Avec l'extension <ctanpkg:yhmath>

Entre autres fonctionnalités, l'extension <ctanpkg:yhmath> permet d'obtenir
la notation d'un [intérieur](wpfr:Int%C3%A9rieur_(topologie)) 
suivant les habitudes mathématiques françaises. Elle définit pour cela 
les commandes `\ring` et `\windering`. En voici un exemple :

```
\documentclass{article}
  \usepackage[T1]{fontenc}    % Encodage T1 (adapté au français)
  \usepackage{lmodern}        % Caractères plus lisibles
  \pagestyle{empty}           % N'affiche pas de numéro de page
  \usepackage{yhmath}

\begin{document}
\[  \ring{A}=\widering{\bigcup\limits_{x\in A} \{x\}}  \]
\end{document}
```
