---
myst:
  html_meta:
    keywords: LaTeX, fichiers, fontes, installation de fontes
---

# Comment installer une police intégrée à une imprimante PostScript ?

Il existe un jeu de polices "standard" qui figure dans toutes les imprimantes
PostScript depuis la deuxième génération de polices. Ces polices (8 familles de
quatre polices texte et trois polices spéciales) sont bien sûr largement
utilisées, en raison de leur simplicité d'utilisation. 
L'ensemble se compose de fontes suivantes :

- famille [Times](wpfr:Times_New_Roman) (4 polices) ;
- famille [Palatino](wpfr:Palatino) (4 polices) ;
- famille [New Century Schoolbook](wpfr:Century_Schoolbook) (4 polices) ;
- famille [Bookman](wpfr:Bookman_(typeface)) (4 polices) ;
- famille [Helvetica](wpfr:Helvetica) (4 polices) ;
- famille [Avant Garde](wpfr:ITC_Avant_Garde) (4 polices) ;
- famille [Courier](wpfr:Courier_(police_d'écriture)) (4 polices) ;
- famille [Utopia](wpfr:Utopia_(police_d'écriture)) (4 polices) ;
- [Zapf Chancery](wp:Zapf_Chancery) (1 police) ;
- [Zapf Dingbats](wp:Zapf_Dingbats) (1 police) ;
- [Symbol](wpfr:Symbol_(police_d'écriture)) (1 police).

Toutes ces polices sont prises en charge, pour les utilisateurs de LaTeX, par
l'ensemble <ctanpkg:psnfss> de métriques et de fichiers de support 
dans le fichier `lw35nfss.zip` sur CTAN. 
Presque tous les systèmes TeX auront une version de <ctanpkg:psnfss> installée, 
mais les utilisateurs devraient noter que la version la plus récente a une couverture
bien meilleure des mathématiques avec `Times` (voir l'extension <ctanpkg:mathptmx>) 
et avec `Palatino` (voir l'extension <ctanpkg:mathpazo>),
ainsi qu'un ensemble plus fiable de métriques de polices de caractères.

L'archive `lw35nfss.zip` est organisée selon la 
[TDS](/5_fichiers/emplacements//la_tds). Ainsi, en principe, l'installation consiste 
simplement à décompresser le fichier à la racine d'une arborescence `texmf`.


:::{sources}
- [Installing a PostScript printer built-in font](faquk:FAQ-instprinterfont) ;
- [documentation de l'extension psnfss](texdoc:psnfss).
:::