---
myst:
  html_meta:
    keywords: LaTeX, fichiers, fontes, polices de caractères,
              polices commerciales
---

# Comment prévisualisaer des fichiers utilisant des fontes de Type 1 ?

Initialement, les prévisualisateurs TeX n'étaient capables que d'afficher des fontes bitmap (PK). 
Depuis lors, des logiciels de rendu des polices de type 1 ont été mis à disposition 
et de nombreux prévisualisateurs utilisent maintenant ces logiciels.

L'alternative, pour les prévisualisateurs, 
est la génération automatique des fichiers PK requis 
(en utilisant, dans les coulisses, `gsftopk` ou d'autres programmes proches).

Dans le cas improbable où votre prévisualisateur n'est pas capable 
de faire l'une ou l'autre de ces opérations, vous avez deux options :

- convertir le fichier DVI en PostScript et utiliser un prévisualisateur PostScript. 
  Certains systèmes offrent cette possibilité en standard 
  mais vous devrez généralement utiliser un visualiseur séparé 
  tel que [ghostscript](https://www.ghostscript.com/) 
  ou des visualiseurs basés sur `ghostscript` tels que `gv` (gratuit) 
  ou [gsview](http://www.ghostgum.com.au/) (shareware) ;
- si vous avez les fontes PostScript au format Type 1, 
  utilisez `ps2pk` ou `gsftopk` 
  (conçu pour être utilisé avec les fontes [ghostscript](https://www.ghostscript.com/)) 
  pour faire des fontes bitmap PK que votre visualisateur comprendra 
  (un processus similaire à la façon dont certains navigateurs font le travail "automatiquement"). 
  Cela produit des résultats adaptés à l'impression avec des périphériques non-PostScript.
  Si vous avez acheté les fontes, il est conseillé de vérifier 
  que leur licence vous autorise à les convertir de cette manière, pour un usage privé.

:::{sources}
[Previewing files using Type 1 fonts](faquk:FAQ-PSpreview)
:::