---
myst:
  html_meta:
    keywords: LaTeX, fichiers, fontes
---

# Fontes

Cette section regroupe les questions portant sur les fichiers de fontes.
Les questions portant sur l'utilisation des fontes sont regroupées dans
une [section dédiée](/3_composition/texte/symboles/polices/start).

Avant toute chose, [pourquoi parle-t-on ici de fontes et non de polices ?](/5_fichiers/formats/fontes/difference_entre_fonte_et_police)

Un sujet spécifique est étudié dans une section dédiée :
-   [](/5_fichiers/formats/fontes/installation_de_fontes/start)


## Choisir ses fontes

-   [](/5_fichiers/formats/fontes/page_d_exemples_d_une_fonte)
-   [](/5_fichiers/formats/fontes/attributs_d_une_police)
-   [](/5_fichiers/formats/fontes/codage_t1_et_fichiers_de_description_des_fontes)
    (probablement pas utile si vous utilisez Xe(La)TeX ou Lua(La)TeX)
-   [](/5_fichiers/formats/fontes/peut_on_parler_de_resolution)
-   [](/5_fichiers/formats/fontes/comment_trouver_une_fonte)


## Comment utiliser d'autres fontes que celles fournies par ma distribution ?


### Avec Xe(La)TeX et Lua(La)TeX

Ces deux moteurs peuvent utiliser [n'importe quelle fonte OpenType](/5_fichiers/formats/fontes/utiliser_une_police)
(`.otf`) installée sur votre système.


### Créer ses fontes pour pdf(La)TeX

-   [](/5_fichiers/formats/fontes/gftopk_et_pktogf)
-   [](/5_fichiers/formats/fontes/convertir_une_image_en_police_metafont)


## Utiliser une fonte dans un document

-   [](/5_fichiers/formats/fontes/utiliser_une_police)
-   [](/5_fichiers/formats/fontes/modifier_la_fonte_du_mode_verbatim)
-   [](/3_composition/texte/symboles/polices/petites_majuscules_diacritiques)
-   [](/3_composition/texte/symboles/polices/moteurs_rendu) (différent du moteur TeX)
-   [](/5_fichiers/formats/fontes/suivre_le_chargement_des_fontes)


:::{todo}
Les liens qui suivent ne sont pas classés.
:::

-   [](/5_fichiers/formats/fontes/caracteres_bizarres_avec_dvips)
-   [](/5_fichiers/formats/fontes/des_caracteres_disparaissent_de_mes_figures)
-   [](/5_fichiers/formats/fontes/fichiers_de_metriques_pour_les_fontes_t1)
-   [](/5_fichiers/formats/fontes/fonte_9pt)
-   [](/5_fichiers/formats/fontes/fontes_opentype_pour_les_mathematiques)
-   [](/5_fichiers/formats/fontes/fontes_t1_8bits)
-   [](/5_fichiers/formats/fontes/fontes_t1_pour_les_mathematiques)
-   [](/5_fichiers/formats/fontes/formats_de_polices_adobe)
-   [](/5_fichiers/formats/fontes/les_noms_de_fichiers_des_fontes)
-   [](/5_fichiers/formats/fontes/maketexpk)
-   [](/5_fichiers/formats/fontes/mon_document_est_flou_a_cause_de_ghostscript)
-   [](/5_fichiers/formats/fontes/mon_document_est_flou_a_cause_des_fontes_t3)
-   [](/5_fichiers/formats/fontes/mon_document_est_flou_quand_je_passe_en_t1)
-   [](/5_fichiers/formats/fontes/obtenir_les_polices_libres_non_distribuables)
-   [](/5_fichiers/formats/fontes/ou_sont_les_fontes_am)
-   [](/5_fichiers/formats/fontes/ou_sont_les_fontes_msx_et_msy)
-   [](/5_fichiers/formats/fontes/ou_trouver_des_fontes)
-   [](/5_fichiers/formats/fontes/petites_capitales_grasses2)
-   [](/5_fichiers/formats/fontes/petites_capitales_grasses)
-   [](/5_fichiers/formats/fontes/quels_fichiers_de_fontes_je_dois_conserver)
-   [](/5_fichiers/formats/fontes/que_sont_les_fichiers_pk)
-   [](/5_fichiers/formats/fontes/que_sont_les_fichiers_tfm)
-   [](/5_fichiers/formats/fontes/que_sont_les_fontes_ec)
-   [](/5_fichiers/formats/fontes/que_sont_les_fontes_virtuelles)
-   [](/5_fichiers/formats/fontes/se_procurer_des_polices_bitmap)
-   [](/5_fichiers/formats/fontes/tailles_de_fontes_arbitraires)
-   [](/5_fichiers/formats/fontes/tracer_les_contours_d_une_police_metafont)
-   [](/5_fichiers/formats/fontes/utiliser_des_fontes_adobe_t1_avec_tex)
-   [](/5_fichiers/formats/fontes/utiliser_des_fontes_non_standard_en_plain_tex)
-   [](/5_fichiers/formats/fontes/utiliser_des_fontes_truetype)
-   [](/5_fichiers/formats/fontes/utiliser_les_fontes_concrete)
-   [](/5_fichiers/formats/fontes/utiliser_les_fontes_latin_modern)
-   [](/5_fichiers/formats/fontes/utiliser_metafont)

```{toctree}
:glob: true
:maxdepth: 1
:hidden:

*/start
*
```
