---
myst:
  html_meta:
    keywords: LaTeX,éditeurs de texte,éditeurs LaTeX,macOS,Apple
---
# Quels sont les éditeurs utilisables sous macOS ?

:::{todo} *Page sans doute à revoir car certaines références semblent datées.*
:::

Il faut noter que le dernier système d'exploitation des Macintosh est un dérivé de BSD, et donc un dérivé d'Unix. Il existe un portage de quasi tous les éditeurs/outils disponibles sous Unix grâce à une couche X Window portée sur ce système (pour les éditeurs graphiques).

Il y a aussi des ports directs des logiciels Unix graphiques sur la couche graphique native des Macintosh.

## Alpha

[Alpha](http://www.kelehers.org/alpha/) est un éditeur pour macOS, shareware assez proche d`'Emacs`. Cet éditeur est hautement configurable grâce à un langage de programmation intégré, `Tcl`. Il possède entre autres un mode LaTeX très convivial. `Alpha` permet aussi une interaction avec le compilateur (`Texture`, `CMACTEX`, `OzTex` ou `Direct-Tex`) en lançant la compilation d'une combinaison de touches. La dernière version d`'Alpha` est la 7.5. Elle comprend la version 3.2 des macros freeware `Alpha` LaTeX de Tom Scavo.

## BBEdit

[BBEdit](http://www.barebones.com/products/bbedit/index.html) n'est pas limité à l'édition des textes pour LaTeX, mais permet aussi d'éditer du `HTML`.

## Emacs

[Emacs](https://emacsformacosx.com) est porté sur macOS.

## jedit

[jedit](https://jedit.sourceforge.net/) est écrit en `java` et est donc disponible sur toutes les plate-formes où une [machine virtuelle Java](wpfr:Machine_virtuelle_Java) (JVM) a été portée.

## MathType

[MathType](http://spssscience.co.kr/mathtype/){sup}`lien obsolète` est un éditeur de formules mathématiques. Il semble payant (la page d'accueil est en caractères coréens).


## Nedit

[Nedit](http://nedit.gmxhome.de/text_editor/index.html){sup}`lien obsolète` est présenté en allemand. Il est disponible aussi pour d'autres systèmes d'exploitation.

## Pepper

[Pepper](https://www.hekkelman.com/), est un éditeur très puissant pour toutes les versions (macOS/9 et X). C'est aussi un éditeur UTF8, ce qui permet d'éditer des textes multilingues en utilisant `ucs-latex` ou `omega`.

## PPKedit

[PPKedit](http://www.asahi-net.or.jp/~gf6d-kmym/en/){sup}`lien obsolète`.

## Scientific WorkPlace & Scientific Word

[Scientific WorkPlace & Scientific Word](http://www.mackichan.com/techtalk/v60/FreeSW.htm).

## STEAD

[STEAD](http://www.ensta.fr/~diam/stead/distrib/old_stead36/stead_readme.old.html){sup}`lien obsolète` est un éditeur écrit avec le langage `Tcl`. Son adaptation à des besoins spécifiques est aisée.

## TeXShop

[TeXShop](https://pages.uoregon.edu/koch/texshop/index.html) est une interface graphique pour Macintosh. TeXShop est fourni dans la distribution [MacTeX](https://www.tug.org/mactex/).

## The Right Tool

[The Right Tool](http://wiki.c2.com/?TheRightTool).

## Vi(m)

`vi(m)` avec son mode LaTeX est un éditeur libre très puissant et disponible sur beaucoup de plates-formes.

## XEmacs

[XEmacs](http://homepage.mac.com/pjarvis/xemacs.html){sup}`lien obsolète` est un éditeur aussi disponible pour toutes les versions de macOS.

### VSCode (Visual Studio Code)

[VSCode](https://code.visualstudio.com) est un éditeur de code extensible développé par Microsoft pour Windows, Linux et macOS. Il est généraliste, moderne, prends en charge le débogage, la coloration syntaxique, la complétion intelligente du code, les snippets, et Git. 
Le code source de Visual Studio Code provient du projet logiciel libre et open source VS Code de Microsoft publié sous la licence MIT permissive, mais les binaires compilés constituent un freeware, c'est-à-dire un logiciel gratuit pour toute utilisation mais propriétaire.

Pour l’utiliser pour LaTeX, il faudra installer l’extension [LaTeX Workshop](https://marketplace.visualstudio.com/items?itemName=James-Yu.latex-workshop). 

:::{todo}
Cette page a des liens obsolètes.
:::

